---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libbi03t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2410, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51120, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53060, symBinAddr: 0x9130, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53450, symBinAddr: 0x9520, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x543F0, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54400, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: _CLASS_NAME, symObjAddr: 0xE568, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBD8, offset: 0xBD8, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50DA0, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xBE3, offset: 0xBE3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50DA4, symBinAddr: 0x70B4, symSize: 0x0 }
  - { offsetInCU: 0xBEE, offset: 0xBEE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50DA8, symBinAddr: 0x70B8, symSize: 0x0 }
  - { offsetInCU: 0xC33, offset: 0xC33, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50EF0, symBinAddr: 0x70C0, symSize: 0x0 }
  - { offsetInCU: 0xCAC, offset: 0xCAC, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50FA8, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0xCCA, offset: 0xCCA, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50FAC, symBinAddr: 0x717C, symSize: 0x0 }
  - { offsetInCU: 0xCE3, offset: 0xCE3, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50FB0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0xCFC, offset: 0xCFC, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50FB4, symBinAddr: 0x7184, symSize: 0x0 }
  - { offsetInCU: 0xD15, offset: 0xD15, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50FB8, symBinAddr: 0x7188, symSize: 0x0 }
  - { offsetInCU: 0x9304, offset: 0x9304, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50FC0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x938D, offset: 0x938D, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50FD0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93A6, offset: 0x93A6, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50FD8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93BF, offset: 0x93BF, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50FE0, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93D8, offset: 0x93D8, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50FE8, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x93F1, offset: 0x93F1, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50FF0, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x940B, offset: 0x940B, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50FF8, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x94F1, offset: 0x94F1, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x51040, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x950A, offset: 0x950A, size: 0x8, addend: 0x0, symName: __ZL26ClassFileLoadHookEventFlag, symObjAddr: 0x5107C, symBinAddr: 0x71DC, symSize: 0x0 }
  - { offsetInCU: 0x952A, offset: 0x952A, size: 0x8, addend: 0x0, symName: __ZL12debugeeClass, symObjAddr: 0x51080, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x9543, offset: 0x9543, size: 0x8, addend: 0x0, symName: __ZL10classBytes, symObjAddr: 0x51088, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x9595, offset: 0x9595, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1090, symSize: 0x80 }
  - { offsetInCU: 0x962A, offset: 0x962A, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xFE0, symSize: 0xB0 }
  - { offsetInCU: 0x9685, offset: 0x9685, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xEE0, symSize: 0x100 }
  - { offsetInCU: 0x9918, offset: 0x9918, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1110, symSize: 0xC0 }
  - { offsetInCU: 0x996A, offset: 0x996A, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x11D0, symSize: 0x220 }
  - { offsetInCU: 0x9B4F, offset: 0x9B4F, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x13F0, symSize: 0xA0 }
  - { offsetInCU: 0x9C02, offset: 0x9C02, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1490, symSize: 0x110 }
  - { offsetInCU: 0x9CF8, offset: 0x9CF8, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x15A0, symSize: 0x150 }
  - { offsetInCU: 0x9EA3, offset: 0x9EA3, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x16F0, symSize: 0x30 }
  - { offsetInCU: 0x9F64, offset: 0x9F64, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1720, symSize: 0x150 }
  - { offsetInCU: 0xA15C, offset: 0xA15C, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1870, symSize: 0x160 }
  - { offsetInCU: 0xA41C, offset: 0xA41C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x19D0, symSize: 0x4A0 }
  - { offsetInCU: 0xA68F, offset: 0xA68F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1E70, symSize: 0x1B0 }
  - { offsetInCU: 0xA8AA, offset: 0xA8AA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2020, symSize: 0xA0 }
  - { offsetInCU: 0xA9A5, offset: 0xA9A5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x20C0, symSize: 0x20 }
  - { offsetInCU: 0xA9DC, offset: 0xA9DC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x20E0, symSize: 0x20 }
  - { offsetInCU: 0xAA13, offset: 0xAA13, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2100, symSize: 0x20 }
  - { offsetInCU: 0xAB82, offset: 0xAB82, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2120, symSize: 0x1A0 }
  - { offsetInCU: 0xAE9E, offset: 0xAE9E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x22C0, symSize: 0x150 }
  - { offsetInCU: 0xB05B, offset: 0xB05B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x26B0, symSize: 0x1D0 }
  - { offsetInCU: 0xB357, offset: 0xB357, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2880, symSize: 0x80 }
  - { offsetInCU: 0xB420, offset: 0xB420, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2900, symSize: 0x6C0 }
  - { offsetInCU: 0xBF96, offset: 0xBF96, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA640, symBinAddr: 0x4000, symSize: 0xB0 }
  - { offsetInCU: 0xC00D, offset: 0xC00D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2FC0, symSize: 0x70 }
  - { offsetInCU: 0xC0C9, offset: 0xC0C9, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3030, symSize: 0xA0 }
  - { offsetInCU: 0xC1D4, offset: 0xC1D4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x30D0, symSize: 0x40 }
  - { offsetInCU: 0xC2CA, offset: 0xC2CA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3110, symSize: 0x2B0 }
  - { offsetInCU: 0xC670, offset: 0xC670, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x33C0, symSize: 0xC0 }
  - { offsetInCU: 0xC7B6, offset: 0xC7B6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3480, symSize: 0x10 }
  - { offsetInCU: 0xC878, offset: 0xC878, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3490, symSize: 0x240 }
  - { offsetInCU: 0xCB61, offset: 0xCB61, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x36D0, symSize: 0x10 }
  - { offsetInCU: 0xCBBE, offset: 0xCBBE, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x36E0, symSize: 0x290 }
  - { offsetInCU: 0xCEEC, offset: 0xCEEC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9FB0, symBinAddr: 0x3970, symSize: 0x10 }
  - { offsetInCU: 0xCFEB, offset: 0xCFEB, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9FC0, symBinAddr: 0x3980, symSize: 0x510 }
  - { offsetInCU: 0xD789, offset: 0xD789, size: 0x8, addend: 0x0, symName: __ZL17ClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0xA4D0, symBinAddr: 0x3E90, symSize: 0x170 }
  - { offsetInCU: 0xDADD, offset: 0xDADD, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA6F0, symBinAddr: 0x40B0, symSize: 0x36A }
...
